<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>

<@defaultLayout.layout>
    <link rel="stylesheet" href="../assets/css/amazeui.switch.css"/>
<style type="text/css">
    .huanhang{
    // 表格自动换行
    table-layout:fixed;
        word-break:break-all
    }
</style>
    <div class="admin-content">
        <div class="am-cf am-padding" style="padding:1rem 1.6rem 1.6rem 1rem;margin:0px;">
            <!--  padding:1px 2px 3px 4px;上、右、下,和左   -->
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目管理</strong> /
                <small>项目管理</small>
            </div>
        </div>
        <div class="am-g">
            <div class="am-u-sm-12">
                <form class="am-form" id="listForm" action="${base}/project/list" method="POST">
                    <input type="hidden" id="keywords" name="keywords" value='${keywords!""}'/>
                    <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                        <tbody>
                        <tr>
                            <th class="am-text-middle">项目名称</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <input type="text" id="name" class="am-form-field am-input-sm"
                                           value="${name!}"/>
                                </div>
                            </td>
                            <th class="am-text-middle">项目创建者</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <input type="text" id="creatorName" class="am-form-field am-input-sm"
                                           value="${creatorName!}"/>
                                </div>
                            </td>
                        </tr>

                        <tr>
                            <th class="am-text-middle">项目类型</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <select data-am-selected id="type" name="type">
                                        <option value="-1">全部</option>
                                        <option value="1" <#if type?? && type='1'>selected</#if>>工程集成类</option>
                                        <option value="2" <#if type?? && type='2'>selected</#if>>设备集成类</option>
                                        <option value="3" <#if type?? && type='3'>selected</#if>>战略合作类</option>
                                    </select>
                                </div>
                            </td>
                            <th class="am-text-middle">部门名称</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <select data-am-selected id="deptId" name="deptId">
                                        <option value="-1">全部</option>
                                        <#list  deptList as dept>
                                            <option value=${dept.id!} <#if deptId! =="${dept.id}" >
                                                    selected
                                            </#if>>${dept.name!}</option>
                                        </#list>
                                    </select>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <th class="am-text-middle">项目状态</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <select data-am-selected id="status" name="status">
                                        <option value="-1">全部</option>
                                        <option value="1" <#if status?? && status='1'>selected</#if>>项目创建(概算)</option>
                                        <option value="5" <#if status?? && status='5'>selected</#if>>预算</option>
                                        <option value="10" <#if status?? && status='10'>selected</#if>>结算</option>
                                        <option value="15" <#if status?? && status='15'>selected</#if>>决算</option>
                                    </select>
                                </div>
                            </td>
                            <th class="am-text-middle">审核状态</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <select data-am-selected id="approveStatus" name="approveStatus">
                                        <option value="-1">全部</option>
                                        <option value="0" <#if approveStatus?? && approveStatus='0'>selected</#if>>草稿</option>
                                        <option value="1" <#if approveStatus?? && approveStatus='1'>selected</#if>>待审核</option>
                                        <option value="2" <#if approveStatus?? && approveStatus='2'>selected</#if>>审核通过</option>
                                        <option value="3" <#if approveStatus?? && approveStatus='3'>selected</#if>>审核不通过</option>
                                    </select>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <th class="am-text-middle">项目周期</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <div class="am-form am-form-inline">
                                        <div class="am-form-group am-form-icon">
                                            <i class="am-icon-calendar"></i>
                                            <input type="text" class="am-form-field am-input-sm" id="startDate"
                                                   value="${startDate!}" placeholder="开始日期" autocomplete="off" data-am-datepicker>
                                        </div>
                                        <div class="am-form-group">至</div>
                                        <div class="am-form-group am-form-icon">
                                            <i class="am-icon-calendar"></i>
                                            <input type="text" class="am-form-field am-input-sm" id="endDate"
                                                   value="${endDate!}" placeholder="结束日期" autocomplete="off" data-am-datepicker>
                                        </div>
                                    </div>
                                </div>
                            </td>
                            <th class="am-text-middle">最后更新时间</th>
                            <td>
                                <div class="am-u-sm-10">
                                    <div class="am-form am-form-inline">
                                        <div class="am-form-group am-form-icon">
                                            <i class="am-icon-calendar"></i>
                                            <input type="text" class="am-form-field am-input-sm" id="startUpdateDate"
                                                   value="${startUpdateDate!}" placeholder="开始日期" autocomplete="off" data-am-datepicker>
                                        </div>
                                        <div class="am-form-group">至</div>
                                        <div class="am-form-group am-form-icon">
                                            <i class="am-icon-calendar"></i>
                                            <input type="text" class="am-form-field am-input-sm" id="endUpdateDate"
                                                   value="${endUpdateDate!}" placeholder="结束日期" autocomplete="off" data-am-datepicker>
                                        </div>
                                    </div>
                                </div>
                            </td>
                        </tr>
                        <tr>
                            <td colspan="4">
                                <div align='right'>
                                    <@shiro.hasPermission name="PROJECT_QUERY">
                                    <button type="button" class="am-btn am-btn-default am-btn-sm am-text-secondary"
                                            id="submit-btn">搜索
                                    </button>
                                    </@shiro.hasPermission>
                                    <@shiro.hasPermission name="PROJECT_EXPORT">
                                    <button type="button" class="am-btn am-btn-default am-btn-sm am-text-secondary"
                                            id="submit-btn-export">导出
                                    </button>
                                    </@shiro.hasPermission>
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </form>
            </div>
            <div class="am-u-sm-12 am-u-md-12" style="padding:0 1.6rem 1.6rem 1rem;margin:0;">
                <div class="am-btn-toolbar" style="padding-left:.5rem;">
                    <div class="am-btn-group am-btn-group-xs">
                        <@shiro.hasPermission name="PROJECT_ADD">
                            <button type="button" class="am-btn am-btn-default"
                                    onclick="location.href='${base}/project/add'">
                                <span class="am-icon-plus"></span> 新增
                            </button>
                        </@shiro.hasPermission>
                        <@shiro.hasPermission name="PROJECT_APPROVE">
                            <button type="button" class="am-btn am-btn-default"
                                    onclick="location.href='${base}/project/listApprove'">
                                <span class="am-icon-pencil"></span> 待我审核的项目
                            </button>
                        </@shiro.hasPermission>
                    </div>
                </div>
            </div>
        </div>

        <div class="am-g">
            <div class="am-u-sm-12">
                <div class="am-scrollable-horizontal">
                    <table class="am-table am-table-striped am-table-hover table-main">
                        <thead>
                        <tr class="am-text-nowrap">
                            <th class="table-title">序号</th>
                            <th class="table-title">项目名称</th>
                            <th class="table-title">项目类型</th>
                            <th class="table-title">项目状态</th>
                            <th class="table-title">审核状态</th>
                            <th class="table-title">当前审核人</th>
                            <th class="table-title">项目创建者</th>
                            <th class="table-title">部门名称</th>
                            <th class="table-title">项目周期</th>
                            <th class="table-title">最后更新时间</th>
                            <th class="table-title">操作</th>
                        </tr>
                        </thead>
                        <tbody>
                        <#list pager.list as list>
                            <tr>
                                <td>${list.id!}</td>
                                <td class="huanhang"><a style="cursor: pointer;text-decoration:none" onclick="location.href='${base}/project/approve?listFrom=list&type=1&id=${list.id}'">${list.name!}</a></td>
                                <td>${list.typeDesc!}</td>
                                <td>${list.statusDesc!}</td>
                                <td>${list.approveStatusDesc!}</td>
                                <td>${list.approveName!}</td>
                                <td>${list.creatorName!}</td>
                                <td>${list.deptName!}</td>
                                <td>${list.startDate?string("yyyy-MM")} ~ ${list.endDate?string("yyyy-MM")}</td>
                                <td>${list.lastUpdateTime?string("yyyy-MM-dd HH:mm:ss")}</td>
                                <td>
                                    <div class="am-btn-toolbar">
                                        <div class="am-btn-group am-btn-group-xs">
                                            <#if adminId==1>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/selectRoleUser?projectId=${list.id}'"><span class="am-icon-pencil-square-o"></span>设置项目可见性
                                                </button>
                                            </#if>
                                        <#--<@shiro.hasPermission name="PROJECT_EDIT">-->

                                           <#--  项目等于概算状态、概算审核为草稿和不通过状态-->
                                            <#if list.creatorId==adminId && list.status==1 && (list.approveStatusEstimate==0 || list.approveStatusEstimate==3)>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/edit?id=${list.id}'"><span
                                                        class="am-icon-pencil-square-o"></span>编辑概算
                                                </button>
                                            </#if>

                                            <#--  项目等于概算状态、概算审核为草稿状态-->
                                            <#if list.creatorId==adminId && list.status==1 && list.approveStatusEstimate==0>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="deleteProject('${list.id}')"><span
                                                            class="am-icon-pencil-square-o"></span>删除
                                                </button>
                                            </#if>

                                           <#-- </@shiro.hasPermission>
                                            <@shiro.hasPermission name="PROJECT_EDIT">-->
                                            <#--  概算审核等于通过状态、预算审核不等于待审核状态、 项目不等于决算状态-->
                                            <#if list.creatorId==adminId && list.approveStatusEstimate=2 && list.approveStatusBudget!=1  && list.status!=15 >
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/budgetEdit?id=${list.id}'"><span
                                                        class="am-icon-pencil-square-o"></span>填写预算表
                                                </button>
                                            </#if>
                                            <#-- </@shiro.hasPermission>-->

                                             <#-- 项目等于预算状态、预算审核等于通过状态  -->
                                            <#if admin.getRoleLevel() == 6 && ((list.status==5 && list.approveStatusBudget=2) || (list.status=10 && list.approveStatusSettle=2)) >
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/settle/add?id=${list.id}'"><span
                                                            class="am-icon-pencil-square-o"></span>填写结算表
                                                </button>
                                            </#if>

                                            <#-- 项目等于结算状态、结算审核不等于待审核状态-->
                                            <#if admin.getRoleLevel() = 6 && list.status==10 && list.approveStatusSettle!=1>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/settle/edit?id=${list.id}'"><span
                                                            class="am-icon-pencil-square-o"></span>编辑结算表
                                                </button>
                                            </#if>

                                            <#-- 项目等于结算状态、结算审核等于通过状态 -->
                                            <#if (admin.getRoleLevel() = 2 || admin.getRoleLevel() = 6) && (list.status== 10 && list.approveStatusSettle==2) >
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/final/add?id=${list.id}'"><span
                                                            class="am-icon-pencil-square-o"></span>发起决算
                                                </button>
                                            </#if>

                                            <#-- 项目等于决算状态、决算审核不等于待审核状态、 决算审核不等于通过状态-->
                                            <#if (admin.getRoleLevel() = 2 || admin.getRoleLevel() = 6) && list.status== 15 && list.approveStatusFinal!=1 && list.approveStatusFinal!=2 >
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/final/edit?id=${list.id}'"><span
                                                            class="am-icon-pencil-square-o"></span>编辑决算
                                                </button>
                                            </#if>

                                            <#--<button type="button"
                                                    class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                    onclick="location.href='${base}/project/detail?id=${list.id}'"><span
                                                        class="am-icon-pencil-square-o"></span>查看
                                            </button>-->
                                            <#if (list.creatorId==adminId && list.approveStatusEstimate == 0) || (list.creatorId==adminId && list.approveStatusBudget == 0) || (admin.getRoleLevel() = 6 && list.approveStatusSettle == 0 && list.approveStatusBudget == 2) || ((admin.getRoleLevel() = 2 || admin.getRoleLevel() = 6) && list.approveStatusFinal == 0)>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="approveProject(${list.id})"><span
                                                            class="am-icon-pencil-square-o"></span>提交审核
                                                </button>
                                            </#if>


                                            <#if adminId==list.approveId>
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/approve?listFrom=list&type=1&id=${list.id}'"><span
                                                            class="am-icon-pencil-square-o"></span>审核
                                                </button>
                                            </#if>


                                             <#if list.approveStatusEstimate != 0 >
                                                <button type="button"
                                                        class="am-btn am-btn-default am-btn-xs am-text-secondary"
                                                        onclick="location.href='${base}/project/taskRecords/${list.id?c}'"><span
                                                            class="am-icon-pencil-square-o"></span>查看审核流程
                                                </button>
                                            </#if>

                                        </div>
                                    </div>
                                </td>

                            </tr>
                        </#list>
                        </tbody>
                    </table>
                </div>
                <div class="am-cf">
                    <!-- 分页 -->
                    <#if (pager.list)?exists && (pager.list?size>0) >
                        <div class="am-fr">
                            <#include "../common/common_pager.ftl">
                        </div>
                    <#else>
                        <div class="am-kai" align="center">
                            <h3>没有找到任何记录!</h3>
                        </div>
                    </#if>
                </div>

            </div>
        </div>





        <#--<div class="am-modal am-modal-prompt" tabindex="-1" id="my-prompt-select-role-user">
            <div class="am-modal-dialog">
                <div class="am-modal-hd">请选择项目可见性</div>
                <div class="am-modal-bd">
                    请勾选能够看到该项目的人员或角色
                    <ul id="treeSelectRoleUser" class="ztree"></ul>
                </div>
                <div class="am-modal-footer">
                    <span class="am-modal-btn" data-am-modal-cancel>取消</span>
                    <span class="am-modal-btn" data-am-modal-confirm>提交</span>
                </div>
            </div>
        </div>-->

        <footer class="admin-content-footer">
            <hr>
        </footer>
    </div>
</@defaultLayout.layout>
<script src="../assets/js/amazeui.switch.js"></script>
<script src="${base}/assets/js/project_common.js"></script>
<script type="text/javascript">
    var approveProject = function (id) {
        if (window.confirm('确定要提交审核吗？')) {
            $.ajax({
                url: '${base}/project/saveApprove',
                data: {id:id},
                dataType: "json",
                async: false,
                success: function (data) {
                    if (data.status == 0) {
                        alert(data.msg);
                        window.location.href = window.location.href;
                    } else if (data.status == 1) {
                        alert(data.msg);
                    }
                }
            });
        }
    };

    $(function () {

        $("#submit-btn").on("click", function () {
            $("#pageNumber").val(1);
            setKeywords();
            $("#listForm").attr("action","${base}/project/list");
            $("#listForm").submit();
        });

        $("#submit-btn-export").on("click", function () {
            setKeywords();
            $("#listForm").attr("action","${base}/project/export");
            $("#listForm").submit();
        });


        function setKeywords() {
            var keywordsObj = {};
            if ($("#name").val())
                keywordsObj.name = $("#name").val();
            if ($("#creatorName").val())
                keywordsObj.creatorName = $("#creatorName").val();
            if ($("#status").val())
                keywordsObj.status = $("#status").val();
            if ($("#approveStatus").val())
                keywordsObj.approveStatus = $("#approveStatus").val();
            if ($("#deptId").val())
                keywordsObj.deptId = $("#deptId").val();
            if ($("#type").val())
                keywordsObj.type = $("#type").val();
            if ($("#startDate").val())
                keywordsObj.startDate = $("#startDate").val();
            if ($("#endDate").val())
                keywordsObj.endDate = $("#endDate").val();
            if ($("#startUpdateDate").val())
                keywordsObj.startUpdateDate = $("#startUpdateDate").val();
            if ($("#endUpdateDate").val())
                keywordsObj.endUpdateDate = $("#endUpdateDate").val();
            var keywords = "";
            if (!$.isEmptyObject(keywordsObj)) {
                keywords = JSON.stringify(keywordsObj);
            }
            console.log("keywords = " + keywords);

            $("#keywords").val(keywords);
        }

    });


    var deleteProject = function (id) {
        if (window.confirm('确定要删除此项目吗？')) {
            $.ajax({
                url: '${base}/project/deleteProject/' +  id,
                dataType: "json",
                async: false,
                success: function (data) {
                    if (data.status == 0) {
                        alert(data.msg);
                        window.location.href = window.location.href;
                    } else if (data.status == 1) {
                        alert(data.msg);
                    }
                }
            });
        }
    };

</script>
